Package com.avaya.clientservices.provider.acs

## Class ACSConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.acs.ACSConfiguration

-     public class ACSConfiguration
      extends java.lang.Object

  User Configuration information for ACS. This class provides the configuration data that allows a connection and access to be made to an ACS Server

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ACSConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` |
    `int` | `getInitialReconnectInterval()` |
    `int` | `getMaxReconnectInterval()` |
    `ServerInfo` | `getServerInfo()` |
    `java.lang.String` | `getServerUrl()` | The URL of the server to connect with.
    `boolean` | `isEnabled()` |
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the ACS provider is enabled.
    `void` | `setInitialReconnectInterval​(int initialReconnectInterval)` | When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here.
    `void` | `setMaxReconnectInterval​(int maxReconnectInterval)` | Set the max reconnection attempt interval.
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating the server to connect with.
    `void` | `setServerUrl​(java.lang.String serverUrl)` | Set the URL of the server to connect with.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ACSConfiguration

          public ACSConfiguration()

  - ### Method Detail

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        A CredentialProvider instance representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - the object that provides the credentials.

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        A Boolean value indicating whether the ACS provider is enabled.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the ACS provider is enabled.
      Parameters:
        `enabled` - indicating whether the ACS provider is enabled.

    - #### getServerInfo

          public ServerInfo getServerInfo()

      Returns:
        A ServerInfo value indicating the server to connect with.

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating the server to connect with.
      Parameters:
        `serverInfo` - the value indicating the server to connect with.

    - #### getServerUrl

          public java.lang.String getServerUrl()

      The URL of the server to connect with.
      Returns:
        A String value indicating the URL of the server to connect with.

    - #### setServerUrl

          public void setServerUrl​(java.lang.String serverUrl)

      Set the URL of the server to connect with. ServerInfo will be ignored if this URL is specified.
      Parameters:
        `serverUrl` - the URL of the server to connect with.

    - #### setInitialReconnectInterval

          public void setInitialReconnectInterval​(int initialReconnectInterval)

      When connections fail, they are retried at a random interval somewhere between 50% and 100% of the interval specified here. The default is 2 seconds. For every subsequent failure, the initial interval is doubled until the maximum value is reached (see `setMaxReconnectInterval(int)`).
      Parameters:
        `initialReconnectInterval` - The nominal interval to wait (in seconds) before the first reconnection attempt. 0 disables automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getInitialReconnectInterval

          public int getInitialReconnectInterval()

    - #### setMaxReconnectInterval

          public void setMaxReconnectInterval​(int maxReconnectInterval)

      Set the max reconnection attempt interval. Set the upper bound for the reconnection attempt interval algorithm. The default is 1800 seconds.
      Parameters:
        `maxReconnectInterval` - The maximum delay interval between automatic reconnection attempts. Values less than 0 or greater than 65535 are ignored.

    - #### getMaxReconnectInterval

          public int getMaxReconnectInterval()